## devscripts 2.10.35lenny7~bpo40+1

=== scripts/Makefile ===

include ../Makefile.common
DESTDIR =

VERSION_FILE = ../version
VERSION := $(shell cat $(VERSION_FILE))

PL_FILES := $(wildcard *.pl)
SH_FILES = $(wildcard *.sh)
LIBS = libvfork.so.0
CWRAPPERS = debpkg-wrapper
SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
COMPL_FILES := $(wildcard *.bash_completion)
COMPLETION = $(patsubst %.bash_completion,devscripts.%,$(COMPL_FILES))

GEN_MAN1S = bts.1 build-rdeps.1 chdist.1 debcheckout.1 debcommit.1 \
	    deb-reversion.1 desktop2menu.1 dget.1 licensecheck.1 mass-bug.1 \
	    mk-build-deps.1 rmadison.1 svnpath.1 tagpending.1 \
	    transition-check.1
   
BINDIR = /usr/bin
LIBDIR = /usr/lib/devscripts
BIN_LIBDIR = /usr/lib/devscripts

all: $(SCRIPTS) $(GEN_MAN1S) $(LIBS) $(CWRAPPERS) $(COMPLETION)

%: %.sh

%.tmp: %.sh $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
	bash -n $@
%.tmp: %.pl $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
	perl -I.. -c $@
%: %.tmp
	cp $< $@
	chmod +x $@

%.1: %.pl
	podchecker $<
	pod2man --center=" " --release="Debian Utilities" $< > $@
%.1: %.dbk
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

devscripts.%: %.bash_completion
	cp $< $@

libvfork.o: libvfork.c
	$(CC) -fPIC -D_REENTRANT $(CFLAGS) -c $<
libvfork.so.0: libvfork.o
	$(CC) -shared $< -lc -Wl,-soname -Wl,libvfork.so.0 -o $@

clean:
	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
		$(GEN_MAN1S) $(SCRIPT_LIBS) $(CWRAPPERS) \
		libvfork.o libvfork.so.0 $(COMPLETION)

install: all
	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
	cp $(LIBS) $(DESTDIR)$(LIBDIR)
	cp $(COMPLETION) $(DESTDIR)/etc/bash_completion.d
	# Special treatment for debpkg
	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(PERLMOD_DIR)
	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg

=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
Uploaders: Julian Gilbey <jdg@debian.org>, Joey Hess <joeyh@debian.org>, Mohammed Adnène Trojette <adn+deb@diwi.org>, Christoph Berg <myon@debian.org>, Stefano Zacchiroli <zack@debian.org>, James Vega <jamessan@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Adam D. Barratt <adam@adam-barratt.org.uk>, Luk Claes <luk@debian.org>, Patrick Schoenfeld <schoenfeld@in-medias-res.com>
Standards-Version: 3.8.0
Build-Depends: perl, debhelper (>= 5.0.0), docbook-xsl, libtimedate-perl,
 libfile-desktopentry-perl, libterm-size-perl,  liburi-perl, libwww-perl,
 po4a (>= 0.26), xsltproc
Vcs-Browser: http://svn.debian.org/wsvn/devscripts/trunk/
Vcs-Svn: svn://svn.debian.org/devscripts/trunk
XS-Dm-Upload-Allowed: yes

Package: devscripts
Architecture: any
Conflicts: kdesdk-scripts (<< 4:3.5.6-2)
Depends: dpkg-dev, perl, ${shlibs:Depends}, ${misc:Depends}
Recommends: at, curl | wget, dctrl-tools, debian-keyring, debian-maintainers,
 dput | dupload, equivs, fakeroot, gnupg, libauthen-sasl-perl,
 libcrypt-ssleay-perl, libparse-debcontrol-perl, libsoap-lite-perl,
 libterm-size-perl, libtimedate-perl, liburi-perl, libwww-perl,
 libyaml-syck-perl, lintian, lsb-release, bsd-mailx | mailx | mailutils, 
 man-db, patch, patchutils, ssh-client, strace, unzip, wdiff, www-browser,
 subversion | cvs | svk | tla | bzr | git-core | mercurial
Suggests: build-essential, cvs-buildpackage, devscripts-el, gnuplot,
 libfile-desktopentry-perl, libnet-smtp-ssl-perl (>= 1.01-2), mutt,
 svn-buildpackage
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
  - annotate-output: run a command and prepend time and stream (O for stdout,
    E for stderr) for every line of output
  - archpath: print tla/Bazaar package names [tla | bazaar]
  - bts: a command-line tool for manipulating the BTS [www-browser,
    libauthen-sasl-perl, libnet-smtp-ssl-perl, libsoap-lite-perl, libwww-perl,
    bsd-mailx | mailx | mailutils]
  - build-rdeps: Searches for all packages that build-depend on a
    given package [dctrl-tools]
  - chdist: tool to easily play with several distributions [dctrl-tools]
  - checkbashisms: check whether a /bin/sh script contains any common
    bash-specific contructs
  - cowpoke: upload a Debian source package to a cowbuilder host and build it,
    optionally also signing and uploading the result to an incoming queue
    [ssh-client]
  - cvs-debi, cvs-debc: to call debi and debc from the CVS working directory
    after running cvs-debuild or cvs-buildpackage [cvs-buildpackage]
  - cvs-debrelease: to call debrelease from the CVS working directory
    after running cvs-debuild or cvs-buildpackage [cvs-buildpackage,
    dupload | dput, ssh-client]
  - cvs-debuild: run cvs-buildpackage using debuild (see below) as the
    package building program [cvs-buildpackage, fakeroot, lintian, gnupg]
  - dcmd: run a given command replacing the name of a .changes or .dsc file
    with each of the files referenced therein 
  - dd-list: given a list of packages, pretty-print it ordered by maintainer
  - debc: display the contents of just-built .debs
  - debchange/dch: automagically add entries to debian/changelog files
    [libparse-debcontrol-perl, libsoap-lite-perl, lsb-release]
  - debcheckout: checkout the development repository of a Debian package
  - debclean: purge a Debian source tree [fakeroot]
  - debcommit: commit changes to cvs, svn, svk, tla, bzr, git, or hg, basing
    commit message on changelog
    [cvs | subversion | svk | tla | bzr | git-core | mercurial]
  - debdiff: compare two versions of a Debian package to check for
    added and removed files [wdiff, patchutils]
  - debi: install a just-built package
  - debpkg: dpkg wrapper to be able to manage/test packages without su
  - debrelease: wrapper around dupload or dput [dupload | dput, ssh-client]
  - debsign, debrsign: sign a .changes/.dsc pair without needing any of
    the rest of the package to be present; can sign the pair remotely
    or fetch the pair from a remote machine for signing [gnupg,
    debian-keyring, ssh-client]
  - debuild: wrapper to build a package without having to su or worry
    about how to invoke dpkg to build using fakeroot.  Also deals
    with common environment problems, umask etc. [fakeroot,
    lintian, gnupg]
  - deb-reversion: increases a binary package version number and repacks the
    archive
  - desktop2menu: produce a skeleton menu file from a freedesktop.org
    desktop file [libfile-desktopentry-perl]
  - dget: downloads Debian source and binary packages [wget | curl]
  - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
    the build of a Debian package; useful for determining the Build-Depends
    control field needed [build-essential, strace]
  - diff2patches: extract patches from a .diff.gz file placing them  under
    debian/ or, if present, debian/patches [patchutils]
  - dscverify: verify the integrity of a Debian package from the
    .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
  - getbuildlog: download package build logs from Debian auto-builders [wget]
  - grep-excuses: grep the update_excuses.html file for your packages
    [libterm-size-perl, wget]
  - licensecheck: attempt to determine the license of source files
  - list-unreleased: searches for unreleased packages
  - manpage-alert: locate binaries without corresponding manpages [man-db]
  - mass-bug: mass-file bug reports [bsd-mailx | mailx | mailutils]
  - mergechanges: merge .changes files from a package built on different
    architectures
  - mk-build-deps: Given a package name and/or control file, generate a binary
    package which may be installed to satisfy the build-dependencies of the
    given packages. [equivs]
  - nmudiff: mail a diff of the current package against the previous version
    to the BTS to assist in tracking NMUs [patchutils, mutt]
  - plotchangelog: view a nice plot of the data in a changelog file
    [libtimedate-perl, gnuplot]
  - pts-subscribe: subscribe to the PTS for a limited period of time
    [bsd-mailx | mailx | mailutils, at]
  - rc-alert: list installed packages which have release-critical bugs [wget]
  - rmadison: remotely query the Debian archive database about packages
    [wget | curl, liburi-perl]
  - svnpath: print svn repository paths [subversion]
  - tagpending: runs from a Debian source tree and tags bugs that are to 
    be closed in the latest changelog as pending. [libsoap-lite-perl]
  - transition-check: Check a list of source packages for involvement in
    transitions for which uploads to unstable are currently blocked
    [libwww-perl, libyaml-syck-perl]
  - uscan: scan upstream sites for new releases of packages
    [libcrypt-ssleay-perl, libwww-perl, unzip]
  - uupdate: integrate upstream changes into a source package [patch]
  - whodepends: check which maintainers' packages depend on a package
  - who-uploads: determine the most recent uploaders of a package to the Debian
    archive [gnupg, debian-keyring, debian-maintainers, wget]
  - wnpp-alert: list installed packages which are orphaned or up for
    adoption [wget]
  - wnpp-check: check whether there is an open request for packaging or
    intention to package bug for a package [wget]
 .
 Also included are a set of example mail filters for filtering mail
 from Debian mailing lists using exim, procmail, etc.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for devscripts, based on the example file rules.indep.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
optimize := -O0
else
optimize := -O2
endif

# Here we perform some checks to ensure that we haven't goofed or left
# debugging code around or ... before we build the package
test: test-stamp
test-stamp:
	# debugging info in bts?
	if grep -q '\$$debug *= *1' scripts/bts.pl; then exit 1; else exit 0; fi
	touch test-stamp

build-indep: build-stamp-indep
build-stamp-indep: test-stamp
	dh_testdir
	touch build-stamp-indep

build-arch: build-stamp-arch
build-stamp-arch: test-stamp
	dh_testdir
	$(MAKE) CFLAGS='-g $(optimize) -Wall'
	touch build-stamp-arch

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f build-stamp* test-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install
	chmod +x debian/devscripts/usr/share/bug/devscripts/script
	$(MAKE) DESTDIR=$(CURDIR)/debian/devscripts install

# Build architecture-independent files here.
binary-indep: build-indep
# We have nothing to do

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installexamples
	dh_installman
	dh_link
	if [ -f debian/devscripts/usr/share/man/fr/man1/debchange.1 ]; then \
	    dh_link /usr/share/man/fr/man1/debchange.1.gz \
	    /usr/share/man/fr/man1/dch.1.gz; \
	fi
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build-arch build-indep build clean binary-indep binary-arch binary \
	install

# Local variables:
# mode: makefile
# End:

## devscripts 2.10.35lenny7

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
 Uploaders: Julian Gilbey <jdg@debian.org>, Joey Hess <joeyh@debian.org>, Mohammed Adnène Trojette <adn+deb@diwi.org>, Christoph Berg <myon@debian.org>, Stefano Zacchiroli <zack@debian.org>, James Vega <jamessan@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Adam D. Barratt <adam@adam-barratt.org.uk>, Luk Claes <luk@debian.org>, Patrick Schoenfeld <schoenfeld@in-medias-res.com>
 Standards-Version: 3.8.0
-Build-Depends: perl, debhelper (>= 5.0.0), docbook-xsl, libtimedate-perl,
+Build-Depends: perl, debhelper (>= 6.0.0), docbook-xsl, libtimedate-perl,
  libfile-desktopentry-perl, libterm-size-perl,  liburi-perl, libwww-perl,
  po4a (>= 0.26), xsltproc
 Vcs-Browser: http://svn.debian.org/wsvn/devscripts/trunk/

## devscripts 2.10.35maemo1

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
-Uploaders: Julian Gilbey <jdg@debian.org>, Joey Hess <joeyh@debian.org>, Mohammed Adnène Trojette <adn+deb@diwi.org>, Christoph Berg <myon@debian.org>, Stefano Zacchiroli <zack@debian.org>, James Vega <jamessan@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Adam D. Barratt <adam@adam-barratt.org.uk>, Luk Claes <luk@debian.org>, Patrick Schoenfeld <schoenfeld@in-medias-res.com>
+Maintainer: maemo integration <integration@maemo.org>
 Standards-Version: 3.8.0
-Build-Depends: perl, debhelper (>= 6.0.0), docbook-xsl, libtimedate-perl,
- libfile-desktopentry-perl, libterm-size-perl,  liburi-perl, libwww-perl,
- po4a (>= 0.26), xsltproc
+Build-Depends: perl, docbook-xsl, libtimedate-perl, libfile-desktopentry-perl, 
+ libterm-size-perl,  liburi-perl, libwww-perl, xsltproc
 Vcs-Browser: http://svn.debian.org/wsvn/devscripts/trunk/
 Vcs-Svn: svn://svn.debian.org/devscripts/trunk
 XS-Dm-Upload-Allowed: yes

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 build-arch: build-stamp-arch
 build-stamp-arch: test-stamp
 	dh_testdir
+	patch -d . -p1 -N < debian/no-translated-man-pages.patch
 	$(MAKE) CFLAGS='-g $(optimize) -Wall'
 	touch build-stamp-arch
 
@@ -34,7 +35,9 @@
 clean:
 	dh_testdir
 	dh_testroot
-	[ ! -f Makefile ] || $(MAKE) clean
+	-patch -d . -p1 -N < debian/no-translated-man-pages.patch
+	[ ! -f Makefile ] || $(MAKE)
+	-patch -d . -p1 -R -N < debian/no-translated-man-pages.patch
 	rm -f build-stamp* test-stamp
 	dh_clean

## devscripts 2.10.39ubuntu2~hardy1

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,32 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: maemo integration <integration@maemo.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
+Uploaders: Julian Gilbey <jdg@debian.org>, Joey Hess <joeyh@debian.org>, Mohammed Adnène Trojette <adn+deb@diwi.org>, Christoph Berg <myon@debian.org>, Stefano Zacchiroli <zack@debian.org>, James Vega <jamessan@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Adam D. Barratt <adam@adam-barratt.org.uk>, Luk Claes <luk@debian.org>, Patrick Schoenfeld <schoenfeld@debian.org>
 Standards-Version: 3.8.0
-Build-Depends: perl, docbook-xsl, libtimedate-perl, libfile-desktopentry-perl, 
- libterm-size-perl,  liburi-perl, libwww-perl, xsltproc
-Vcs-Browser: http://svn.debian.org/wsvn/devscripts/trunk/
-Vcs-Svn: svn://svn.debian.org/devscripts/trunk
+Build-Depends: perl, debhelper (>= 6.0.0), docbook-xsl, libtimedate-perl,
+ libfile-desktopentry-perl, libterm-size-perl,  liburi-perl, libwww-perl,
+ po4a (>= 0.26), xsltproc, lsb-release
+XS-Original-Vcs-Browser: http://svn.debian.org/wsvn/devscripts/trunk/
+XS-Original-Vcs-Svn: svn://svn.debian.org/devscripts/trunk
 XS-Dm-Upload-Allowed: yes
 
 Package: devscripts
 Architecture: any
 Conflicts: kdesdk-scripts (<< 4:3.5.6-2)
 Depends: dpkg-dev, perl, ${shlibs:Depends}, ${misc:Depends}
-Recommends: at, curl | wget, dctrl-tools, debian-keyring, debian-maintainers,
- dput | dupload, equivs, fakeroot, gnupg, libauthen-sasl-perl,
- libcrypt-ssleay-perl, libparse-debcontrol-perl, libsoap-lite-perl,
+Recommends: at, curl | wget, dctrl-tools, 
+ dput | dupload, fakeroot, gnupg, libauthen-sasl-perl,
+ libparse-debcontrol-perl, 
  libterm-size-perl, libtimedate-perl, liburi-perl, libwww-perl,
  libyaml-syck-perl, lintian, lsb-release, bsd-mailx | mailx | mailutils, 
  man-db, patch, patchutils, ssh-client, strace, unzip, wdiff, www-browser,
  subversion | cvs | svk | tla | bzr | git-core | mercurial
 Suggests: build-essential, cvs-buildpackage, devscripts-el, gnuplot,
  libfile-desktopentry-perl, libnet-smtp-ssl-perl (>= 1.01-2), mutt,
- svn-buildpackage
+ svn-buildpackage, debian-keyring, debian-maintainers, equivs,
+ ubuntu-dev-tools, libcrypt-ssleay-perl, libsoap-lite-perl
 Description: scripts to make the life of a Debian Package maintainer easier
  Contains the following scripts, dependencies/recommendations shown in
  brackets afterwards:
@@ -96,6 +100,7 @@
   - mk-build-deps: Given a package name and/or control file, generate a binary
     package which may be installed to satisfy the build-dependencies of the
     given packages. [equivs]
+  - namecheck: Check project names are not already taken.
   - nmudiff: mail a diff of the current package against the previous version
     to the BTS to assist in tracking NMUs [patchutils, mutt]
   - plotchangelog: view a nice plot of the data in a changelog file

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 test-stamp:
 	# debugging info in bts?
 	if grep -q '\$$debug *= *1' scripts/bts.pl; then exit 1; else exit 0; fi
+	cd test && $(MAKE)
 	touch test-stamp
 
 build-indep: build-stamp-indep
@@ -26,7 +27,6 @@
 build-arch: build-stamp-arch
 build-stamp-arch: test-stamp
 	dh_testdir
-	patch -d . -p1 -N < debian/no-translated-man-pages.patch
 	$(MAKE) CFLAGS='-g $(optimize) -Wall'
 	touch build-stamp-arch
 
@@ -35,9 +35,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	-patch -d . -p1 -N < debian/no-translated-man-pages.patch
-	[ ! -f Makefile ] || $(MAKE)
-	-patch -d . -p1 -R -N < debian/no-translated-man-pages.patch
+	[ ! -f Makefile ] || $(MAKE) clean
 	rm -f build-stamp* test-stamp
 	dh_clean
 
@@ -66,6 +64,11 @@
 	    dh_link /usr/share/man/fr/man1/debchange.1.gz \
 	    /usr/share/man/fr/man1/dch.1.gz; \
 	fi
+	if [ -f debian/devscripts/usr/share/man/fr/man1/pts-subscribe.1 ]; \
+	then \
+	    dh_link /usr/share/man/fr/man1/pts-subscribe.1.gz \
+	    /usr/share/man/fr/man1/pts-unsubscribe.1.gz; \
+	fi
 	dh_installchangelogs
 	dh_strip
 	dh_compress

## devscripts 2.10.39ubuntu2~intrepid1

=== test/Makefile ===
# Simplified Makefile for devscripts tests

all:
	chmod +x debchange.pl ../scripts/debchange.pl
	PERL5LIB=.. ./debchange.pl

## devscripts 2.10.39ubuntu7

=== scripts/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 GEN_MAN1S = bts.1 build-rdeps.1 chdist.1 debcheckout.1 debcommit.1 \
 	    deb-reversion.1 desktop2menu.1 dget.1 licensecheck.1 mass-bug.1 \
-	    mk-build-deps.1 rmadison.1 svnpath.1 tagpending.1 \
+	    mk-build-deps.1 namecheck.1 rmadison.1 svnpath.1 tagpending.1 \
 	    transition-check.1
    
 BINDIR = /usr/bin

## devscripts 2.10.39ubuntu7.1

=== debian/control ===
--- 
+++ 
@@ -20,13 +20,14 @@
  dput | dupload, fakeroot, gnupg, libauthen-sasl-perl,
  libparse-debcontrol-perl, 
  libterm-size-perl, libtimedate-perl, liburi-perl, libwww-perl,
- libyaml-syck-perl, lintian, lsb-release, bsd-mailx | mailx | mailutils, 
+ lintian, lsb-release, bsd-mailx | mailx | mailutils,
  man-db, patch, patchutils, ssh-client, strace, unzip, wdiff, www-browser,
  subversion | cvs | svk | tla | bzr | git-core | mercurial
 Suggests: build-essential, cvs-buildpackage, devscripts-el, gnuplot,
  libfile-desktopentry-perl, libnet-smtp-ssl-perl (>= 1.01-2), mutt,
  svn-buildpackage, debian-keyring, debian-maintainers, equivs,
- ubuntu-dev-tools, libcrypt-ssleay-perl, libsoap-lite-perl
+ ubuntu-dev-tools, libcrypt-ssleay-perl, libsoap-lite-perl,
+ libyaml-syck-perl
 Description: scripts to make the life of a Debian Package maintainer easier
  Contains the following scripts, dependencies/recommendations shown in
  brackets afterwards:

## devscripts 2.10.48ubuntu1~jaunty1

=== scripts/Makefile ===
--- 
+++ 
@@ -13,11 +13,11 @@
 COMPL_FILES := $(wildcard *.bash_completion)
 COMPLETION = $(patsubst %.bash_completion,devscripts.%,$(COMPL_FILES))
 
-GEN_MAN1S = bts.1 build-rdeps.1 chdist.1 debcheckout.1 debcommit.1 \
+GEN_MAN1S = bts.1 build-rdeps.1 chdist.1 dcontrol.1 debcheckout.1 debcommit.1 \
 	    deb-reversion.1 desktop2menu.1 dget.1 licensecheck.1 mass-bug.1 \
 	    mk-build-deps.1 namecheck.1 rmadison.1 svnpath.1 tagpending.1 \
 	    transition-check.1
-   
+
 BINDIR = /usr/bin
 LIBDIR = /usr/lib/devscripts
 BIN_LIBDIR = /usr/lib/devscripts

=== debian/changelog ===
devscripts (2.10.48ubuntu1~jaunty1) jaunty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Scott Kitterman <ubuntu@kitterman.com>  Mon, 04 May 2009 10:38:59 +0100

devscripts (2.10.48ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - rmadison: Change default URL parameter to ubuntu.
    - scripts/debchange.pl:
      + Adjust --security template for Ubuntu.
      + Add -U/--upstream flag that forces original "just increment
        the end" behaviour; Ubuntu is upstream for some pieces of software.
      + Add --distributor= to override lsb_release output.
      + Add "karmic" as valid release name.
      + Default to "karmic" as distribution.
      + Add "ubuntu1" to version string for new versions, with tweaks for
        special cases.
      + Add -R/--rebuild flag for Ubuntu's no-change rebuilds.
    - Add test/debchange.pl, test/Makefile: debchange test suite; call it
      during build in debian/rules. Also add lsb-release build dependency for
      this, so that debchange uses Ubuntu mode.
    - scripts/debuild.pl: Enforce Ubuntu merge policy.
    - scripts/debsign.{sh,1}: Implement DEBSIGN_ALWAYS_RESIGN variable to skip
      the "Would you like to use the current signature?" question. (Debian
      #447955)
    - scripts/uupdate.{sh,1}: Use -0ubuntu1 default revision on Ubuntu.
    - scripts/dscverify.pl: Add Ubuntu keyrings.
    - scripts/debcommit.pl: Re-enable --fixes integration for launchpad
      bugs, as the code is present in our dpkg-dev.
    - Drop universe packages from Recommends to Suggests:
      + libcrypt-ssleay-perl: only needed for a corner case (uscan on SSL
        download sites), wasn't installed by default in previous releases
        either, and seems quite dead upstream
      + libsoap-lite-perl: only needed for one less common command ("select")
        for bts, which isn't useful for Ubuntu itself, and pulls in a lot of
        other universe Perl libraries
      + debian-{keyring,maintainers}: not useful enough in Ubuntu
      + equivs: too much of a hack to install by default
      + libyaml-syck-perl: transition-check is fairly Debian-specific
  * scripts/debcommit.pl: Handle new location of find_launchpad_closes
    function in dpkg 1.15.0 (Debian #525823).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Apr 2009 15:03:40 +0100

devscripts (2.10.48) unstable; urgency=low

  [ Adam D. Barratt ]
  * Update Standards Version to 3.8.1 (no changes required)
  * debchange: Fix a couple of syntax errors in the "does an orig tarball
    exist?" test introduced for #500932.
  * debdiff:
    + Don't bail if diff returned an exit status of 2 when comparing
      files. If there are binary files in either of the trees being compared
      then that's expected as the files can't be reliably compared.
    + Don't claim that the exit status on failure will be anything other than
      255 (i.e. the result of die()ing).
  * nmudiff: Adapt to handle the fact that debdiff will now return an exit
    status of 1 when comparing non-identical source packages.
  * debian/copyright: Explicitly refer to the GPL-2 and GPL-3 common license
    files rather than the "GPL" symlink.

  [ Patrick Schoenfeld ]
  * debchange: When renaming a directory (because of version change)
    and noticing that no matching orig tarball exist, emit a warning.
    (Closes: #500932)
  * uscan: Use maximum compression rate while repacking files from bzip2/zip
    into gzip. Thanks Nelson A. de Oliveira.
    (Closes: #522442)

  [ James Vega ]
  * debchange: As per the other edit flags, do not modify the original
    changelog when using `debchange -r' unless the user saves the temporary
    changelog.  (Closes: #422450)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sun, 12 Apr 2009 16:11:40 +0100

devscripts (2.10.47) unstable; urgency=low

  [ Adam D. Barratt ]
  * dcontrol: Produce "friendly" error messages if liburi-perl and/or
    libwww-perl aren't installed.
  * debdiff:
    + Don't treat an absence of differences as an error when comparing
      source packages. (Closes: #515683)
    + Set the exit status correctly when comparing source packages.  If
      differences were found, debdiff will now exit with a status of 1, as
      per debdiff(1).
    + Support bzip2 and lzma compressed orig tarballs. (Closes: #473969)
  * debuild: Support bzip2 and lzma compressed orig tarballs.
    (Closes: #473974)
  * licensecheck:
    + Document --no-conf.
    + Fix an uninitialised variable warning when --no-conf is used. Thanks.
      Cristian Greco. (Closes: #515047)
  * nmudiff:
    + Rework the arguments passed to mutt in order to avoid problems
      attaching the diff with recent versions of mutt.  Thanks, Adeodato
      Simó. (Closes: #518127)
    + Allow the specification of a particular DELAYED queue, rather
      than including the "DELAYED/XX" placeholder.  May be specified as
      0 to remove mention of DELAYED. (Closes: #518126)
  * rc-alert: Modify the description of the "I" flag to reference the
    squeeze-ignore tag rather than etch-ignore.
  * debian/control, README: Add liburi-perl to the description of dcontrol.

  [ James Vega ]
  * bts: Include the module name when calling MIME::Base64::encode_base64
    since MIME::Base64 is only being 'require'd not 'use'd.  Thanks Євгеній
    Мещеряков. (Closes: #516117)
  * debchange: Do not use an empty gecos field when trying to determine the
    maintainer's name. (Closes: 516423)

  [ Christoph Berg ]
  * dcontrol: New script to query binary and source package control files at
    http://qa.debian.org/cgi-bin/dcontrol.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Wed, 04 Mar 2009 19:23:24 +0000

devscripts (2.10.46) unstable; urgency=low

  * bts:
    + If the debbugs host in use is bugs(-*).d.o, use bugs-master.d.o when
      reporting spam to match recent changes to the BTS.
    + If -n / --no-action was given on the command line, print the URL that


=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
 Uploaders: Julian Gilbey <jdg@debian.org>, Joey Hess <joeyh@debian.org>, Mohammed Adnène Trojette <adn+deb@diwi.org>, Christoph Berg <myon@debian.org>, Stefano Zacchiroli <zack@debian.org>, James Vega <jamessan@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Adam D. Barratt <adam@adam-barratt.org.uk>, Luk Claes <luk@debian.org>, Patrick Schoenfeld <schoenfeld@debian.org>
-Standards-Version: 3.8.0
+Standards-Version: 3.8.1
 Build-Depends: perl, debhelper (>= 6.0.0), docbook-xsl, libtimedate-perl,
  libfile-desktopentry-perl, libterm-size-perl,  liburi-perl, libwww-perl,
  po4a (>= 0.26), xsltproc, lsb-release
 XS-Original-Vcs-Browser: http://svn.debian.org/wsvn/devscripts/trunk/
 XS-Original-Vcs-Svn: svn://svn.debian.org/devscripts/trunk
-XS-Dm-Upload-Allowed: yes
 
 Package: devscripts
 Architecture: any
@@ -55,6 +54,8 @@
     package building program [cvs-buildpackage, fakeroot, lintian, gnupg]
   - dcmd: run a given command replacing the name of a .changes or .dsc file
     with each of the files referenced therein 
+  - dcontrol: remotely query package and source control files for all Debian
+    distributions. [liburl-perl, libwww-perl]
   - dd-list: given a list of packages, pretty-print it ordered by maintainer
   - debc: display the contents of just-built .debs
   - debchange/dch: automagically add entries to debian/changelog files
@@ -73,6 +74,7 @@
     the rest of the package to be present; can sign the pair remotely
     or fetch the pair from a remote machine for signing [gnupg,
     debian-keyring, ssh-client]
+  - debsnap: grab packages from http://snapshot.debian.net [wget]
   - debuild: wrapper to build a package without having to su or worry
     about how to invoke dpkg to build using fakeroot.  Also deals
     with common environment problems, umask etc. [fakeroot,

## devscripts 2.10.53ubuntu3

=== test/Makefile ===
# Simplified Makefile for devscripts tests

all:
	#chmod +x debchange.pl ../scripts/debchange.pl
	#PERL5LIB=.. ./debchange.pl

=== debian/changelog ===
devscripts (2.10.53ubuntu3) karmic; urgency=low

  * SECURITY UPDATE: fix handling of mangle rules in watch files to
    not execute them as Perl code
    - patch adapted from r1984, r1992 and r2006 of Debian svn
    - CVE-2009-2946

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 08 Oct 2009 15:59:04 -0500

devscripts (2.10.53ubuntu2) karmic; urgency=low

  * debchange: Don't use the last distribution in debian/changelog
    when doing "dch -r" on Ubuntu. "Just because it was last uploaded to
    jaunty doesn't mean that's the right thing to do now." Thanks
    to Colin Watson. (LP: #429288)

 -- James Westby <james.westby@ubuntu.com>  Mon, 14 Sep 2009 15:57:43 +0100

devscripts (2.10.53ubuntu1) karmic; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Resynchronise with Debian. Remaining changes: (LP: #511269)
    - rmadison: Change default URL parameter to ubuntu.
    - scripts/debchange.pl:
      + Adjust --security template for Ubuntu.
      + Add -U/--upstream flag that forces original "just increment
        the end" behaviour; Ubuntu is upstream for some pieces of software.
      + Add --distributor= to override lsb_release output.
      + Default to "karmic" as distribution.
      + Add "ubuntu1" to version string for new versions, with tweaks for
        special cases.
      + Add -R/--rebuild flag for Ubuntu's no-change rebuilds.
    - Add test/debchange.pl, test/Makefile: debchange test suite; call it
      during build in debian/rules. Also add lsb-release build dependency for
      this, so that debchange uses Ubuntu mode.
    - scripts/debuild.pl: Enforce Ubuntu merge policy.
    - scripts/debsign.{sh,1}: Implement DEBSIGN_ALWAYS_RESIGN variable to skip
      the "Would you like to use the current signature?" question. (Debian
      #447955)
    - scripts/uupdate.{sh,1}: Use -0ubuntu1 default revision on Ubuntu.
    - scripts/dscverify.pl: Add Ubuntu keyrings.
    - Drop universe packages from Recommends to Suggests:
      + libcrypt-ssleay-perl: only needed for a corner case (uscan on SSL
        download sites), wasn't installed by default in previous releases
        either, and seems quite dead upstream
      + libsoap-lite-perl: only needed for one less common command ("select")
        for bts, which isn't useful for Ubuntu itself, and pulls in a lot of
        other universe Perl libraries
      + debian-{keyring,maintainers}: not useful enough in Ubuntu
      + equivs: too much of a hack to install by default
      + libyaml-syck-perl: transition-check is fairly Debian-specific

  [ James Westby ]
  * Revert to use Vcs-* rather than XS-Vcs-*.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 16 Aug 2009 19:15:16 +0300

devscripts (2.10.53) unstable; urgency=low

  The "Debconf fish!" upload

  [ Adam D. Barratt ]
  * bts:
    + Add a missing "use IO::File" to make "bts select file:foo" work.
      Thanks, Raphaël Hertzog.  (Closes: #538288)
    + Add the "affects" command to mark a bug as affecting packages other
      than the package it was filed against.
  * checkbashisms: Detect the use of "source" when the sourced filename
    contains a tilde (Closes: #528592) or consists of a single character
    (Closes: #535252).  Thanks, Raphael Geissert and Ryan Niebur.
  * debcommit: Add darcs support.  Thanks to Joachim Breitner for the patch.
    (Closes: #536037)
  * nmudiff:
    + Fix specification of BCc to control@bugs so that it's interpreted
      as an option to mutt and not as a recipient address.  Thanks, Filippo
      Giunchedi.  (Closes: #534585)
    + Add a missing "feel" to the delayed/XX template.  Thanks, Raphael
      Geissert.
  * rmadison:
    + Add patch from Ubuntu to make lookups against their database work again.
      (The server moved from people.ubuntu.com to people.canonical.com)
      (Closes: #537302)
    + When using curl, follow redirects by default.  (Also from the Ubuntu
      patch).
  * debian/control: Replace descriptions of cvs-* with those from README,
    because they're better.

  [ Patrick Schoenfeld ]
  * bts: Implement a --mutt parameter, which allows mails to be sent
    using mutt.
  * debchange: Implement a dist indication mechanism that parses
    an 'Upload to $DIST' line and sets the distribution accordingly, when
    the --release parameter is used. (Closes: #515346)
  * debi:
    + Implement a --with-depends switch to install depencies of the
      package together with the package
      (Closes: #511061)
    + Implement a --tool switch to choose the tool for installing
      dependencies
  * dget: Make it clear in manpage and usage information, that dget is capable
    of processing several URLs or packages (Closes: #535977)
  * dscverify:
    + Implement a --verbose option to disable suppressing
      of GPG output (Closes: #525670)
    + Add a notice to the manpage of dscverify that the debian-keyring package
      has the potential to be out of date and how this can be worked around
      (Closes: #438679)
    + Document standard keyring locations in the dscverify manpage
  * licensecheck: Skip empty files instead of reporting that they don't
    have a copyright (Closes: #535337)
  * nmudiff: Use 'bts select' to test, weither a check already has a patch
    tag set or not and only set it, if not (Closes: #519678)
  * Add a script listing to devscripts.1 which is auto-generated from
    debian/control (Closes: #504008)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Wed, 29 Jul 2009 15:12:24 +0100

devscripts (2.10.52) unstable; urgency=low

  * debdiff: Make --diffstat work again; accidentally broken in 2.10.48.
  * uupdate: Fix invocation of *cat when attempting to apply diffs.
    Thanks, Yannick Roehlly.  (Closes: #533415)
  * debian/control: Update Standards-Version to 3.8.2 (no changes needed)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Wed, 17 Jun 2009 19:39:33 +0100

devscripts (2.10.51) unstable; urgency=low

  [ Adam D. Barratt ]
  * bts:


=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
 Uploaders: Julian Gilbey <jdg@debian.org>, Joey Hess <joeyh@debian.org>, Mohammed Adnène Trojette <adn+deb@diwi.org>, Christoph Berg <myon@debian.org>, Stefano Zacchiroli <zack@debian.org>, James Vega <jamessan@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Adam D. Barratt <adam@adam-barratt.org.uk>, Luk Claes <luk@debian.org>, Patrick Schoenfeld <schoenfeld@debian.org>
-Standards-Version: 3.8.1
+Standards-Version: 3.8.2
 Build-Depends: perl, debhelper (>= 6.0.0), docbook-xsl, libtimedate-perl,
  libfile-desktopentry-perl, libterm-size-perl,  liburi-perl, libwww-perl,
  po4a (>= 0.26), xsltproc, lsb-release
-XS-Original-Vcs-Browser: http://svn.debian.org/wsvn/devscripts/trunk/
-XS-Original-Vcs-Svn: svn://svn.debian.org/devscripts/trunk
+Vcs-Browser: http://svn.debian.org/wsvn/devscripts/trunk/
+Vcs-Svn: svn://svn.debian.org/devscripts/trunk
 
 Package: devscripts
 Architecture: any
 Conflicts: kdesdk-scripts (<< 4:3.5.6-2)
 Depends: dpkg-dev, perl, ${shlibs:Depends}, ${misc:Depends}
-Recommends: at, curl | wget, dctrl-tools, 
+Recommends: at, curl | wget, dctrl-tools,
  dput | dupload, fakeroot, gnupg, libauthen-sasl-perl,
- libparse-debcontrol-perl, 
+ libparse-debcontrol-perl,
  libterm-size-perl, libtimedate-perl, liburi-perl, libwww-perl,
- lintian, lsb-release, bsd-mailx | mailx | mailutils,
+ lintian, lsb-release, bsd-mailx | mailx | mailutils, 
  man-db, patch, patchutils, ssh-client, strace, unzip, wdiff, www-browser,
  subversion | cvs | svk | tla | bzr | git-core | mercurial
 Suggests: build-essential, cvs-buildpackage, devscripts-el, gnuplot,
@@ -45,13 +45,14 @@
   - cowpoke: upload a Debian source package to a cowbuilder host and build it,
     optionally also signing and uploading the result to an incoming queue
     [ssh-client]
-  - cvs-debi, cvs-debc: to call debi and debc from the CVS working directory
-    after running cvs-debuild or cvs-buildpackage [cvs-buildpackage]
-  - cvs-debrelease: to call debrelease from the CVS working directory
-    after running cvs-debuild or cvs-buildpackage [cvs-buildpackage,
-    dupload | dput, ssh-client]
-  - cvs-debuild: run cvs-buildpackage using debuild (see below) as the
-    package building program [cvs-buildpackage, fakeroot, lintian, gnupg]
+  - cvs-debi, cvs-debc: wrappers around debi and debc respectively (see below)
+    which allow them to be called from the CVS working directory.
+    [cvs-buildpackage]
+  - cvs-debrelease: wrapper around debrelease which allows it to be called
+    from the CVS working directory. [cvs-buildpackage, dupload | dput,
+    ssh-client]
+  - cvs-debuild: A wrapper for cvs-buildpackage to use debuild as its package
+    building program. [cvs-buildpackage, fakeroot, lintian, gnupg]
   - dcmd: run a given command replacing the name of a .changes or .dsc file
     with each of the files referenced therein 
   - dcontrol: remotely query package and source control files for all Debian

=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,9 @@
 	dh_installdirs
 	dh_install
 	chmod +x debian/devscripts/usr/share/bug/devscripts/script
+	install -d debian/devscripts/usr/share/lintian/overrides
+	install -p -m644 debian/lintian.overrides \
+	    debian/devscripts/usr/share/lintian/overrides/devscripts
 	$(MAKE) DESTDIR=$(CURDIR)/debian/devscripts install
 
 # Build architecture-independent files here.
